:root {
    --tblr-font-sans-serif: 'Inter Var','Sarabun', -apple-system, BlinkMacSystemFont, San Francisco, Segoe UI, Roboto, Helvetica Neue, sans-serif;
}

body {
    font-feature-settings: "cv03", "cv04", "cv11";
}

html, body {
    overscroll-behavior: none;
}

.h1, .h2, .h3, .h4, .h5, .h6, h1, h2, h3, h4, h5, h6 {
    color: #B41E8C;
}

.w-60 {
    width: 60% !important;
}

.text-purple {
    color: #7461cf !important;
}

.text-pink {
    color: #B41E8C !important;
}

.text-white {
    color: #FFFFFF !important;
}

.required:after {
    content: " *" !important;
    color: red !important;
    position: unset !important;
}

.form-floating > .form-select {
    padding-top: 1.625rem;
    padding-bottom: 0.4rem;
}

.form-floating > .form-control, .form-floating > .form-control-plaintext, .form-floating > .form-select {
    line-height: 1.9;
}

.bg-yellow-100 {
    background-color: #fefbf4 !important;
}

.bg-gray-100 {
    background-color: #fafafa !important;
}

.bg-gray-150 {
    background-color: #f6edf7 !important;
}

.bg-gray-200 {
    background-color: #f0f0f0 !important;
}

.bg-gray-400 {
    background-color: #d8d8d8 !important;
}

.popover-body {
    font-size: 0.875rem;
}

.bg-aeon {
    background-color: #B41E8C !important;
}

.mb-compare-panel {
    margin-bottom: 225px !important;
}

.form-label {
    margin-bottom: 0.3rem;
}

.error {
    color: #C00;
}

.pointer {
    cursor: pointer !important;
}

.auto-newline {
    white-space: pre-line;
}

div:where(.swal2-container) h2:where(.swal2-title) {
    font-size: 1.6em;
    margin-top: 16px;
    color: #B41E8C;
}

div:where(.swal2-container) .swal2-html-container {
    font-size: 1em;
    line-height: inherit;
}

.select2-backdrop {
    position: fixed;
    top: 0 !important;
    left: 0 !important;
    width: 100% !important;
    height: 100% !important;
    background: rgba(24, 36, 51, 0.24) !important;
    z-index: 2000 !important;
    display: none;
}

.select2-bottom {
    display: block !important;
    position: fixed !important;
    bottom: 1px !important;
    left: 1px !important;
    right: 1px !important;
    background: white !important;
    width: 100% !important;
    min-height: 210px !important;
    z-index: 3000 !important;
    padding-left: 7px !important;
    padding-top: 7px !important;
    padding-right: 7px !important;
}

.select2-container--open .select2-dropdown {
    -webkit-overflow-scrolling: touch !important;
    overflow-y: auto !important;
}

.select2-container--default .select2-results > .select2-results__options {
    max-height: 150px;
    overflow-y: auto;
}
body.no-scroll {
    overflow: hidden;
    width: 100%;
}
